
From: Trivial Patch Monkey <trivial@rustcorp.com.au>

From:  Thomas Molina <tmolina@cablespeed.com>

ver_linux hasn't displayed binutils version right for some time.  This patch
corrects that and preserves the old behaviour as well, as suggested by Rusty.


---

 25-akpm/scripts/ver_linux |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff -puN scripts/ver_linux~ver_linux-binutils-version-fix scripts/ver_linux
--- 25/scripts/ver_linux~ver_linux-binutils-version-fix	Fri Mar 12 13:58:53 2004
+++ 25-akpm/scripts/ver_linux	Fri Mar 12 13:58:53 2004
@@ -21,8 +21,9 @@ gcc --version 2>&1| grep gcc | awk \
 make --version 2>&1 | awk -F, '{print $1}' | awk \
       '/GNU Make/{print "Gnu make              ",$NF}'
 
-ld -v 2>&1 | awk -F\) '{print $1}' | awk \
-      '/BFD/{print "binutils              ",$NF}'
+ld -v | awk -F\) '{print $1}' | awk \
+'/BFD/{print "binutils              ",$NF} \
+/^GNU/{print "binutils              ",$4}'
 
 fdformat --version | awk -F\- '{print "util-linux            ", $NF}'
 

_
